Page MenuHomePhabricator

parselist: move the function from config to stringutil
ClosedPublic

Authored by marmoute on Apr 15 2021, 8:55 PM.

Details

Summary

We move the function in a lower level module to avoid cycle. It moves next to
parsebool who had to migrate for the same reasons.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Apr 15 2021, 8:55 PM
baymax updated this revision to Diff 27018.Apr 17 2021, 7:45 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Apr 29 2021, 9:17 AM
This revision is now accepted and ready to land.Apr 29 2021, 9:17 AM
baymax updated this revision to Diff 27209.Apr 29 2021, 1:47 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27237.Apr 30 2021, 8:25 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27421.May 3 2021, 9:53 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.May 15 2021, 3:16 PM
This revision was automatically updated to reflect the committed changes.